Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: libncurses-devel libtinfo-devel
# END SourceDeps(oneline)
Name:           bvi
Version:        1.3.2
Release:        alt1_9
Summary:        Display-oriented editor for binary files
Summary(fr):    Afficheur orienté editeur pour fichiers binaires

License:        GPLv2+
URL:            http://bvi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz

# Fix empty debuginfo package :
Patch0:         %{name}-1.3.2-no_strip.patch
# Move from /usr/lib64/bmore.help to /usr/share/bvi/bmore.help :
Patch1:         %{name}-1.3.2-fix_help_install.patch

BuildRequires:  ncurses-devel
Source44: import.info


%description
The bvi is a display-oriented editor for binary files, based
on the vi text-editor. If you are familiar with vi, just start
the editor and begin to edit! A bmore program is also
included in the package.

%description -l fr
Le bvi est un afficheur orienté éditeur pour fichiers binaires, basé sur
l'éditeur de texte vi. Si vi vous est familié, démarrez juste l'éditeur
et commencez à éditer! Un logiciel bmore est également inclu dans le
paquet.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
# Fix the path of the bmore.help file specified in the man page :
sed -i "s@/usr/local/share/bmore.help@/usr/share/bvi/bmore.help@" ./bmore.1

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc README COPYING CREDITS CHANGES
%{_bindir}/%{name}
%{_bindir}/bmore
%{_bindir}/bvedit
%{_bindir}/bview
%{_datadir}/%{name}/
%{_mandir}/man1/*.1.*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.3.2-alt1_9
- update to new release by fcimport

* Wed Aug 22 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.2-alt1_8
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.2-alt1_7
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.3.2-alt1_6
- converted for Sisyphus

